LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XWebDAVCommandEnvironment Interface Reference

A command environment that can be used to deal with WebDAV/HTTP specific commands. More...

`import"XWebDAVCommandEnvironment.idl";`

Inheritance diagram for XWebDAVCommandEnvironment:

## Public Member Functions
sequence< com::sun::star::beans::StringPair > | getUserRequestHeaders ([in] string aURI, [in] WebDAVHTTPMethod eMethod)
| This method gets called while assembling a WebDAV/HTTP request. More...
Public Member Functions inherited from XCommandEnvironment
com::sun::star::task::XInteractionHandler | getInteractionHandler ()
| returns the command's interaction handler. More...
com::sun::star::ucb::XProgressHandler | getProgressHandler ()
| returns the command's progress handler. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A command environment that can be used to deal with WebDAV/HTTP specific commands.

## Member Function Documentation

## ◆ getUserRequestHeaders()

sequence< com::sun::star::beans::StringPair > getUserRequestHeaders | ( | [in] string | aURI,
|  | [in] WebDAVHTTPMethod | eMethod
| ) |  |

This method gets called while assembling a WebDAV/HTTP request.

The returned headername-headervalue pairs will be appended to the list of request headers before the request is dispatched.

Parameters

  aURI | The request URI.
  eMethod | The WebDAV/HTTP method ("GET","PUT","MKCOL",...) as defined in WebDAVHTTPMethod.

Returns
  A sequence of header name, header value pairs. The header names must be the plain names and contain no trailing ":".

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XWebDAVCommandEnvironment.idl